package com.theitbulls.androidservicedemo;

import android.app.IntentService;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main_activity);
    }

    public void startService(View view) {
        Intent serviceIntent = new Intent(this, MyService.class);
        startService(serviceIntent);
    }

    public void stopService(View view) {
        Intent serviceIntent = new Intent(this, MyService.class);
        stopService(serviceIntent);
    }

    public void startFooIntentService(View view) {
        Intent serviceIntent = new Intent(this, MyIntentService.class);
        serviceIntent.setAction(MyIntentService.ACTION_FOO);
        serviceIntent.putExtra(MyIntentService.EXTRA_PARAM1, "John");
        serviceIntent.putExtra(MyIntentService.EXTRA_PARAM2, "Carlo");
        startService(serviceIntent);
    }

    public void stopFooIntentService(View view) {
        Intent serviceIntent = new Intent(this, MyIntentService.class);
        stopService(serviceIntent);
    }

    public void startBazIntentService(View view) {
        Intent serviceIntent = new Intent(this, MyIntentService.class);
        serviceIntent.setAction(MyIntentService.ACTION_BAZ);
        serviceIntent.putExtra(MyIntentService.EXTRA_PARAM1, "Tony");
        serviceIntent.putExtra(MyIntentService.EXTRA_PARAM2, "Tony");
        startService(serviceIntent);
    }

    public void stopBazIntentService(View view) {
        Intent serviceIntent = new Intent(this, MyIntentService.class);
        stopService(serviceIntent);
    }
}
